---
schema_version: "1"
id: 307200b8fdb0b9ccd70b873b7285919516f613f7d0e70f9c02e8479713101a09
title: Get Field and Other Metadata for an Object
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-sobject-describe.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-sobject-describe.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d12a12eefbdf738f13787c77495a341763018fa9e834b6f8976a3d4d9c7fd812
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Field and Other Metadata for an Object

Use the sObject Describe resource to retrieve all the metadata for an object, including information about each field, URLs, and child relationships.

## Example

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/describe/ -H "Authorization: Bearer token"
```

## Example request body

none required

## Example response body

```nolang
{
  "name" : "Account",
  "fields" :
  [
    {
      "length" : 18,
      "name" : "Id",
      "type" : "id",
      "defaultValue" : {    "value" : null  },
      "updateable" : false,
      "label" : "Account ID",
      ...
    },

    ...

  ],


  "updateable" : true,
  "label" : "Account",
  "keyPrefix" : "001",
  "custom" : false,

  ...

  "urls" :
  {
    "uiEditTemplate" : "https://MyDomainName.my.salesforce.com/{ID}/e",
    "sobject" : "/services/data/v68.0/sobjects/Account",
    "uiDetailTemplate" : "https://MyDomainName.my.salesforce.com/{ID}",
    ...
  },

  "childRelationships" :
  [
    {
      "field" : "ParentId",
      "deprecatedAndHidden" : false,
      ...
    }, 

    ....

  ],

  "createable" : true,
  "customSetting" : false,
  ...
}
```

For more information about the items in the request body, see [DescribesObjectResult](https://developer.salesforce.com/docs/atlas.en-us.api.meta/api/sforce_api_calls_describesobjects_describesobjectresult.htm) in the *SOAP API Developers Guide*.

